<?php
/**
 * Copyright © 2015 FiloBlu . All rights reserved.
 */

namespace FiloBlu\FreeShippingOrderInfo\Helper;

use FiloBlu\FreeShippingOrderInfo\Model\Config\Source\Modes;
/**
 * Class Data
 * @package FiloBlu\FreeShippingOrderInfo\Helper
 */
class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * @var string
     */
    const CONFIG_GENERAL_MODES = 'filoblu_freeshippinginfo/general/mode';

    /**
     * @var Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $_scopeConfig;

    /**
     * Data constructor.
     * @param \Magento\Framework\App\Helper\Context $context
     * @param Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(\Magento\Framework\App\Helper\Context $context,
                                Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig)
    {
        $this->_scopeConfig = $scopeConfig;
        parent::__construct($context);
    }

    /**
     * @return mixed
     */
    public function getGeneralMode()
    {
        $mode = $this->_scopeConfig->getValue(self::CONFIG_GENERAL_MODES, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
        switch( $mode)
        {
            case Modes::COUPON_ONLY:
            case Modes::COUPON_AND_RULES:
                return $mode;
            default:
                return COUPON_ONLY;
        }
    }
}
